IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network156.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
- Network address
156.0.0.0- Broadcast address
156.255.255.255- First usable
156.0.0.1- Last usable
156.255.255.254- Usable hosts
- 16,777,214 (16,777,216 less the network and broadcast addresses)
- Subnet mask
255.0.0.0- Wildcard mask
0.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /8
- Type
- Public public
- Old class
- B (default /16)
- As numbers
- Hex
9C000000· Integer2617245696to2634022911 - Reverse DNS zone
156.in-addr.arpa
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 10011100..00000000.00000000.00000000 | 156.0.0.0 |
| Subnet mask | 11111111..00000000.00000000.00000000 | 255.0.0.0 |
| Network | 10011100..00000000.00000000.00000000 | 156.0.0.0 |
| Broadcast | 10011100..11111111.11111111.11111111 | 156.255.255.255 |
Split into smaller subnets
/9 (2)/10 (4)/11 (8)/12 (16)/13 (32)/14 (64)/15 (128)/16 (256)/17 (512)/18 (1,024)/19 (2,048)/20 (4,096)
156.0.0.0/8 makes 256 subnets of /16.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 156.0.0.0/16 | 156.0.0.1 to 156.0.255.254 | 156.0.255.255 | 65,534 |
| 2 | 156.1.0.0/16 | 156.1.0.1 to 156.1.255.254 | 156.1.255.255 | 65,534 |
| 3 | 156.2.0.0/16 | 156.2.0.1 to 156.2.255.254 | 156.2.255.255 | 65,534 |
| 4 | 156.3.0.0/16 | 156.3.0.1 to 156.3.255.254 | 156.3.255.255 | 65,534 |
| 5 | 156.4.0.0/16 | 156.4.0.1 to 156.4.255.254 | 156.4.255.255 | 65,534 |
| 6 | 156.5.0.0/16 | 156.5.0.1 to 156.5.255.254 | 156.5.255.255 | 65,534 |
| 7 | 156.6.0.0/16 | 156.6.0.1 to 156.6.255.254 | 156.6.255.255 | 65,534 |
| 8 | 156.7.0.0/16 | 156.7.0.1 to 156.7.255.254 | 156.7.255.255 | 65,534 |
| 9 | 156.8.0.0/16 | 156.8.0.1 to 156.8.255.254 | 156.8.255.255 | 65,534 |
| 10 | 156.9.0.0/16 | 156.9.0.1 to 156.9.255.254 | 156.9.255.255 | 65,534 |
| 11 | 156.10.0.0/16 | 156.10.0.1 to 156.10.255.254 | 156.10.255.255 | 65,534 |
| 12 | 156.11.0.0/16 | 156.11.0.1 to 156.11.255.254 | 156.11.255.255 | 65,534 |
| 13 | 156.12.0.0/16 | 156.12.0.1 to 156.12.255.254 | 156.12.255.255 | 65,534 |
| 14 | 156.13.0.0/16 | 156.13.0.1 to 156.13.255.254 | 156.13.255.255 | 65,534 |
| 15 | 156.14.0.0/16 | 156.14.0.1 to 156.14.255.254 | 156.14.255.255 | 65,534 |
| 16 | 156.15.0.0/16 | 156.15.0.1 to 156.15.255.254 | 156.15.255.255 | 65,534 |
| 17 | 156.16.0.0/16 | 156.16.0.1 to 156.16.255.254 | 156.16.255.255 | 65,534 |
| 18 | 156.17.0.0/16 | 156.17.0.1 to 156.17.255.254 | 156.17.255.255 | 65,534 |
| 19 | 156.18.0.0/16 | 156.18.0.1 to 156.18.255.254 | 156.18.255.255 | 65,534 |
| 20 | 156.19.0.0/16 | 156.19.0.1 to 156.19.255.254 | 156.19.255.255 | 65,534 |
| 21 | 156.20.0.0/16 | 156.20.0.1 to 156.20.255.254 | 156.20.255.255 | 65,534 |
| 22 | 156.21.0.0/16 | 156.21.0.1 to 156.21.255.254 | 156.21.255.255 | 65,534 |
| 23 | 156.22.0.0/16 | 156.22.0.1 to 156.22.255.254 | 156.22.255.255 | 65,534 |
| 24 | 156.23.0.0/16 | 156.23.0.1 to 156.23.255.254 | 156.23.255.255 | 65,534 |
| 25 | 156.24.0.0/16 | 156.24.0.1 to 156.24.255.254 | 156.24.255.255 | 65,534 |
| 26 | 156.25.0.0/16 | 156.25.0.1 to 156.25.255.254 | 156.25.255.255 | 65,534 |
| 27 | 156.26.0.0/16 | 156.26.0.1 to 156.26.255.254 | 156.26.255.255 | 65,534 |
| 28 | 156.27.0.0/16 | 156.27.0.1 to 156.27.255.254 | 156.27.255.255 | 65,534 |
| 29 | 156.28.0.0/16 | 156.28.0.1 to 156.28.255.254 | 156.28.255.255 | 65,534 |
| 30 | 156.29.0.0/16 | 156.29.0.1 to 156.29.255.254 | 156.29.255.255 | 65,534 |
| 31 | 156.30.0.0/16 | 156.30.0.1 to 156.30.255.254 | 156.30.255.255 | 65,534 |
| 32 | 156.31.0.0/16 | 156.31.0.1 to 156.31.255.254 | 156.31.255.255 | 65,534 |
| 33 | 156.32.0.0/16 | 156.32.0.1 to 156.32.255.254 | 156.32.255.255 | 65,534 |
| 34 | 156.33.0.0/16 | 156.33.0.1 to 156.33.255.254 | 156.33.255.255 | 65,534 |
| 35 | 156.34.0.0/16 | 156.34.0.1 to 156.34.255.254 | 156.34.255.255 | 65,534 |
| 36 | 156.35.0.0/16 | 156.35.0.1 to 156.35.255.254 | 156.35.255.255 | 65,534 |
| 37 | 156.36.0.0/16 | 156.36.0.1 to 156.36.255.254 | 156.36.255.255 | 65,534 |
| 38 | 156.37.0.0/16 | 156.37.0.1 to 156.37.255.254 | 156.37.255.255 | 65,534 |
| 39 | 156.38.0.0/16 | 156.38.0.1 to 156.38.255.254 | 156.38.255.255 | 65,534 |
| 40 | 156.39.0.0/16 | 156.39.0.1 to 156.39.255.254 | 156.39.255.255 | 65,534 |
| 41 | 156.40.0.0/16 | 156.40.0.1 to 156.40.255.254 | 156.40.255.255 | 65,534 |
| 42 | 156.41.0.0/16 | 156.41.0.1 to 156.41.255.254 | 156.41.255.255 | 65,534 |
| 43 | 156.42.0.0/16 | 156.42.0.1 to 156.42.255.254 | 156.42.255.255 | 65,534 |
| 44 | 156.43.0.0/16 | 156.43.0.1 to 156.43.255.254 | 156.43.255.255 | 65,534 |
| 45 | 156.44.0.0/16 | 156.44.0.1 to 156.44.255.254 | 156.44.255.255 | 65,534 |
| 46 | 156.45.0.0/16 | 156.45.0.1 to 156.45.255.254 | 156.45.255.255 | 65,534 |
| 47 | 156.46.0.0/16 | 156.46.0.1 to 156.46.255.254 | 156.46.255.255 | 65,534 |
| 48 | 156.47.0.0/16 | 156.47.0.1 to 156.47.255.254 | 156.47.255.255 | 65,534 |
| 49 | 156.48.0.0/16 | 156.48.0.1 to 156.48.255.254 | 156.48.255.255 | 65,534 |
| 50 | 156.49.0.0/16 | 156.49.0.1 to 156.49.255.254 | 156.49.255.255 | 65,534 |
| 51 | 156.50.0.0/16 | 156.50.0.1 to 156.50.255.254 | 156.50.255.255 | 65,534 |
| 52 | 156.51.0.0/16 | 156.51.0.1 to 156.51.255.254 | 156.51.255.255 | 65,534 |
| 53 | 156.52.0.0/16 | 156.52.0.1 to 156.52.255.254 | 156.52.255.255 | 65,534 |
| 54 | 156.53.0.0/16 | 156.53.0.1 to 156.53.255.254 | 156.53.255.255 | 65,534 |
| 55 | 156.54.0.0/16 | 156.54.0.1 to 156.54.255.254 | 156.54.255.255 | 65,534 |
| 56 | 156.55.0.0/16 | 156.55.0.1 to 156.55.255.254 | 156.55.255.255 | 65,534 |
| 57 | 156.56.0.0/16 | 156.56.0.1 to 156.56.255.254 | 156.56.255.255 | 65,534 |
| 58 | 156.57.0.0/16 | 156.57.0.1 to 156.57.255.254 | 156.57.255.255 | 65,534 |
| 59 | 156.58.0.0/16 | 156.58.0.1 to 156.58.255.254 | 156.58.255.255 | 65,534 |
| 60 | 156.59.0.0/16 | 156.59.0.1 to 156.59.255.254 | 156.59.255.255 | 65,534 |
| 61 | 156.60.0.0/16 | 156.60.0.1 to 156.60.255.254 | 156.60.255.255 | 65,534 |
| 62 | 156.61.0.0/16 | 156.61.0.1 to 156.61.255.254 | 156.61.255.255 | 65,534 |
| 63 | 156.62.0.0/16 | 156.62.0.1 to 156.62.255.254 | 156.62.255.255 | 65,534 |
| 64 | 156.63.0.0/16 | 156.63.0.1 to 156.63.255.254 | 156.63.255.255 | 65,534 |
| 65 | 156.64.0.0/16 | 156.64.0.1 to 156.64.255.254 | 156.64.255.255 | 65,534 |
| 66 | 156.65.0.0/16 | 156.65.0.1 to 156.65.255.254 | 156.65.255.255 | 65,534 |
| 67 | 156.66.0.0/16 | 156.66.0.1 to 156.66.255.254 | 156.66.255.255 | 65,534 |
| 68 | 156.67.0.0/16 | 156.67.0.1 to 156.67.255.254 | 156.67.255.255 | 65,534 |
| 69 | 156.68.0.0/16 | 156.68.0.1 to 156.68.255.254 | 156.68.255.255 | 65,534 |
| 70 | 156.69.0.0/16 | 156.69.0.1 to 156.69.255.254 | 156.69.255.255 | 65,534 |
| 71 | 156.70.0.0/16 | 156.70.0.1 to 156.70.255.254 | 156.70.255.255 | 65,534 |
| 72 | 156.71.0.0/16 | 156.71.0.1 to 156.71.255.254 | 156.71.255.255 | 65,534 |
| 73 | 156.72.0.0/16 | 156.72.0.1 to 156.72.255.254 | 156.72.255.255 | 65,534 |
| 74 | 156.73.0.0/16 | 156.73.0.1 to 156.73.255.254 | 156.73.255.255 | 65,534 |
| 75 | 156.74.0.0/16 | 156.74.0.1 to 156.74.255.254 | 156.74.255.255 | 65,534 |
| 76 | 156.75.0.0/16 | 156.75.0.1 to 156.75.255.254 | 156.75.255.255 | 65,534 |
| 77 | 156.76.0.0/16 | 156.76.0.1 to 156.76.255.254 | 156.76.255.255 | 65,534 |
| 78 | 156.77.0.0/16 | 156.77.0.1 to 156.77.255.254 | 156.77.255.255 | 65,534 |
| 79 | 156.78.0.0/16 | 156.78.0.1 to 156.78.255.254 | 156.78.255.255 | 65,534 |
| 80 | 156.79.0.0/16 | 156.79.0.1 to 156.79.255.254 | 156.79.255.255 | 65,534 |
| 81 | 156.80.0.0/16 | 156.80.0.1 to 156.80.255.254 | 156.80.255.255 | 65,534 |
| 82 | 156.81.0.0/16 | 156.81.0.1 to 156.81.255.254 | 156.81.255.255 | 65,534 |
| 83 | 156.82.0.0/16 | 156.82.0.1 to 156.82.255.254 | 156.82.255.255 | 65,534 |
| 84 | 156.83.0.0/16 | 156.83.0.1 to 156.83.255.254 | 156.83.255.255 | 65,534 |
| 85 | 156.84.0.0/16 | 156.84.0.1 to 156.84.255.254 | 156.84.255.255 | 65,534 |
| 86 | 156.85.0.0/16 | 156.85.0.1 to 156.85.255.254 | 156.85.255.255 | 65,534 |
| 87 | 156.86.0.0/16 | 156.86.0.1 to 156.86.255.254 | 156.86.255.255 | 65,534 |
| 88 | 156.87.0.0/16 | 156.87.0.1 to 156.87.255.254 | 156.87.255.255 | 65,534 |
| 89 | 156.88.0.0/16 | 156.88.0.1 to 156.88.255.254 | 156.88.255.255 | 65,534 |
| 90 | 156.89.0.0/16 | 156.89.0.1 to 156.89.255.254 | 156.89.255.255 | 65,534 |
| 91 | 156.90.0.0/16 | 156.90.0.1 to 156.90.255.254 | 156.90.255.255 | 65,534 |
| 92 | 156.91.0.0/16 | 156.91.0.1 to 156.91.255.254 | 156.91.255.255 | 65,534 |
| 93 | 156.92.0.0/16 | 156.92.0.1 to 156.92.255.254 | 156.92.255.255 | 65,534 |
| 94 | 156.93.0.0/16 | 156.93.0.1 to 156.93.255.254 | 156.93.255.255 | 65,534 |
| 95 | 156.94.0.0/16 | 156.94.0.1 to 156.94.255.254 | 156.94.255.255 | 65,534 |
| 96 | 156.95.0.0/16 | 156.95.0.1 to 156.95.255.254 | 156.95.255.255 | 65,534 |
| 97 | 156.96.0.0/16 | 156.96.0.1 to 156.96.255.254 | 156.96.255.255 | 65,534 |
| 98 | 156.97.0.0/16 | 156.97.0.1 to 156.97.255.254 | 156.97.255.255 | 65,534 |
| 99 | 156.98.0.0/16 | 156.98.0.1 to 156.98.255.254 | 156.98.255.255 | 65,534 |
| 100 | 156.99.0.0/16 | 156.99.0.1 to 156.99.255.254 | 156.99.255.255 | 65,534 |
| 101 | 156.100.0.0/16 | 156.100.0.1 to 156.100.255.254 | 156.100.255.255 | 65,534 |
| 102 | 156.101.0.0/16 | 156.101.0.1 to 156.101.255.254 | 156.101.255.255 | 65,534 |
| 103 | 156.102.0.0/16 | 156.102.0.1 to 156.102.255.254 | 156.102.255.255 | 65,534 |
| 104 | 156.103.0.0/16 | 156.103.0.1 to 156.103.255.254 | 156.103.255.255 | 65,534 |
| 105 | 156.104.0.0/16 | 156.104.0.1 to 156.104.255.254 | 156.104.255.255 | 65,534 |
| 106 | 156.105.0.0/16 | 156.105.0.1 to 156.105.255.254 | 156.105.255.255 | 65,534 |
| 107 | 156.106.0.0/16 | 156.106.0.1 to 156.106.255.254 | 156.106.255.255 | 65,534 |
| 108 | 156.107.0.0/16 | 156.107.0.1 to 156.107.255.254 | 156.107.255.255 | 65,534 |
| 109 | 156.108.0.0/16 | 156.108.0.1 to 156.108.255.254 | 156.108.255.255 | 65,534 |
| 110 | 156.109.0.0/16 | 156.109.0.1 to 156.109.255.254 | 156.109.255.255 | 65,534 |
| 111 | 156.110.0.0/16 | 156.110.0.1 to 156.110.255.254 | 156.110.255.255 | 65,534 |
| 112 | 156.111.0.0/16 | 156.111.0.1 to 156.111.255.254 | 156.111.255.255 | 65,534 |
| 113 | 156.112.0.0/16 | 156.112.0.1 to 156.112.255.254 | 156.112.255.255 | 65,534 |
| 114 | 156.113.0.0/16 | 156.113.0.1 to 156.113.255.254 | 156.113.255.255 | 65,534 |
| 115 | 156.114.0.0/16 | 156.114.0.1 to 156.114.255.254 | 156.114.255.255 | 65,534 |
| 116 | 156.115.0.0/16 | 156.115.0.1 to 156.115.255.254 | 156.115.255.255 | 65,534 |
| 117 | 156.116.0.0/16 | 156.116.0.1 to 156.116.255.254 | 156.116.255.255 | 65,534 |
| 118 | 156.117.0.0/16 | 156.117.0.1 to 156.117.255.254 | 156.117.255.255 | 65,534 |
| 119 | 156.118.0.0/16 | 156.118.0.1 to 156.118.255.254 | 156.118.255.255 | 65,534 |
| 120 | 156.119.0.0/16 | 156.119.0.1 to 156.119.255.254 | 156.119.255.255 | 65,534 |
| 121 | 156.120.0.0/16 | 156.120.0.1 to 156.120.255.254 | 156.120.255.255 | 65,534 |
| 122 | 156.121.0.0/16 | 156.121.0.1 to 156.121.255.254 | 156.121.255.255 | 65,534 |
| 123 | 156.122.0.0/16 | 156.122.0.1 to 156.122.255.254 | 156.122.255.255 | 65,534 |
| 124 | 156.123.0.0/16 | 156.123.0.1 to 156.123.255.254 | 156.123.255.255 | 65,534 |
| 125 | 156.124.0.0/16 | 156.124.0.1 to 156.124.255.254 | 156.124.255.255 | 65,534 |
| 126 | 156.125.0.0/16 | 156.125.0.1 to 156.125.255.254 | 156.125.255.255 | 65,534 |
| 127 | 156.126.0.0/16 | 156.126.0.1 to 156.126.255.254 | 156.126.255.255 | 65,534 |
| 128 | 156.127.0.0/16 | 156.127.0.1 to 156.127.255.254 | 156.127.255.255 | 65,534 |
| 129 | 156.128.0.0/16 | 156.128.0.1 to 156.128.255.254 | 156.128.255.255 | 65,534 |
| 130 | 156.129.0.0/16 | 156.129.0.1 to 156.129.255.254 | 156.129.255.255 | 65,534 |
| 131 | 156.130.0.0/16 | 156.130.0.1 to 156.130.255.254 | 156.130.255.255 | 65,534 |
| 132 | 156.131.0.0/16 | 156.131.0.1 to 156.131.255.254 | 156.131.255.255 | 65,534 |
| 133 | 156.132.0.0/16 | 156.132.0.1 to 156.132.255.254 | 156.132.255.255 | 65,534 |
| 134 | 156.133.0.0/16 | 156.133.0.1 to 156.133.255.254 | 156.133.255.255 | 65,534 |
| 135 | 156.134.0.0/16 | 156.134.0.1 to 156.134.255.254 | 156.134.255.255 | 65,534 |
| 136 | 156.135.0.0/16 | 156.135.0.1 to 156.135.255.254 | 156.135.255.255 | 65,534 |
| 137 | 156.136.0.0/16 | 156.136.0.1 to 156.136.255.254 | 156.136.255.255 | 65,534 |
| 138 | 156.137.0.0/16 | 156.137.0.1 to 156.137.255.254 | 156.137.255.255 | 65,534 |
| 139 | 156.138.0.0/16 | 156.138.0.1 to 156.138.255.254 | 156.138.255.255 | 65,534 |
| 140 | 156.139.0.0/16 | 156.139.0.1 to 156.139.255.254 | 156.139.255.255 | 65,534 |
| 141 | 156.140.0.0/16 | 156.140.0.1 to 156.140.255.254 | 156.140.255.255 | 65,534 |
| 142 | 156.141.0.0/16 | 156.141.0.1 to 156.141.255.254 | 156.141.255.255 | 65,534 |
| 143 | 156.142.0.0/16 | 156.142.0.1 to 156.142.255.254 | 156.142.255.255 | 65,534 |
| 144 | 156.143.0.0/16 | 156.143.0.1 to 156.143.255.254 | 156.143.255.255 | 65,534 |
| 145 | 156.144.0.0/16 | 156.144.0.1 to 156.144.255.254 | 156.144.255.255 | 65,534 |
| 146 | 156.145.0.0/16 | 156.145.0.1 to 156.145.255.254 | 156.145.255.255 | 65,534 |
| 147 | 156.146.0.0/16 | 156.146.0.1 to 156.146.255.254 | 156.146.255.255 | 65,534 |
| 148 | 156.147.0.0/16 | 156.147.0.1 to 156.147.255.254 | 156.147.255.255 | 65,534 |
| 149 | 156.148.0.0/16 | 156.148.0.1 to 156.148.255.254 | 156.148.255.255 | 65,534 |
| 150 | 156.149.0.0/16 | 156.149.0.1 to 156.149.255.254 | 156.149.255.255 | 65,534 |
| 151 | 156.150.0.0/16 | 156.150.0.1 to 156.150.255.254 | 156.150.255.255 | 65,534 |
| 152 | 156.151.0.0/16 | 156.151.0.1 to 156.151.255.254 | 156.151.255.255 | 65,534 |
| 153 | 156.152.0.0/16 | 156.152.0.1 to 156.152.255.254 | 156.152.255.255 | 65,534 |
| 154 | 156.153.0.0/16 | 156.153.0.1 to 156.153.255.254 | 156.153.255.255 | 65,534 |
| 155 | 156.154.0.0/16 | 156.154.0.1 to 156.154.255.254 | 156.154.255.255 | 65,534 |
| 156 | 156.155.0.0/16 | 156.155.0.1 to 156.155.255.254 | 156.155.255.255 | 65,534 |
| 157 | 156.156.0.0/16 | 156.156.0.1 to 156.156.255.254 | 156.156.255.255 | 65,534 |
| 158 | 156.157.0.0/16 | 156.157.0.1 to 156.157.255.254 | 156.157.255.255 | 65,534 |
| 159 | 156.158.0.0/16 | 156.158.0.1 to 156.158.255.254 | 156.158.255.255 | 65,534 |
| 160 | 156.159.0.0/16 | 156.159.0.1 to 156.159.255.254 | 156.159.255.255 | 65,534 |
| 161 | 156.160.0.0/16 | 156.160.0.1 to 156.160.255.254 | 156.160.255.255 | 65,534 |
| 162 | 156.161.0.0/16 | 156.161.0.1 to 156.161.255.254 | 156.161.255.255 | 65,534 |
| 163 | 156.162.0.0/16 | 156.162.0.1 to 156.162.255.254 | 156.162.255.255 | 65,534 |
| 164 | 156.163.0.0/16 | 156.163.0.1 to 156.163.255.254 | 156.163.255.255 | 65,534 |
| 165 | 156.164.0.0/16 | 156.164.0.1 to 156.164.255.254 | 156.164.255.255 | 65,534 |
| 166 | 156.165.0.0/16 | 156.165.0.1 to 156.165.255.254 | 156.165.255.255 | 65,534 |
| 167 | 156.166.0.0/16 | 156.166.0.1 to 156.166.255.254 | 156.166.255.255 | 65,534 |
| 168 | 156.167.0.0/16 | 156.167.0.1 to 156.167.255.254 | 156.167.255.255 | 65,534 |
| 169 | 156.168.0.0/16 | 156.168.0.1 to 156.168.255.254 | 156.168.255.255 | 65,534 |
| 170 | 156.169.0.0/16 | 156.169.0.1 to 156.169.255.254 | 156.169.255.255 | 65,534 |
| 171 | 156.170.0.0/16 | 156.170.0.1 to 156.170.255.254 | 156.170.255.255 | 65,534 |
| 172 | 156.171.0.0/16 | 156.171.0.1 to 156.171.255.254 | 156.171.255.255 | 65,534 |
| 173 | 156.172.0.0/16 | 156.172.0.1 to 156.172.255.254 | 156.172.255.255 | 65,534 |
| 174 | 156.173.0.0/16 | 156.173.0.1 to 156.173.255.254 | 156.173.255.255 | 65,534 |
| 175 | 156.174.0.0/16 | 156.174.0.1 to 156.174.255.254 | 156.174.255.255 | 65,534 |
| 176 | 156.175.0.0/16 | 156.175.0.1 to 156.175.255.254 | 156.175.255.255 | 65,534 |
| 177 | 156.176.0.0/16 | 156.176.0.1 to 156.176.255.254 | 156.176.255.255 | 65,534 |
| 178 | 156.177.0.0/16 | 156.177.0.1 to 156.177.255.254 | 156.177.255.255 | 65,534 |
| 179 | 156.178.0.0/16 | 156.178.0.1 to 156.178.255.254 | 156.178.255.255 | 65,534 |
| 180 | 156.179.0.0/16 | 156.179.0.1 to 156.179.255.254 | 156.179.255.255 | 65,534 |
| 181 | 156.180.0.0/16 | 156.180.0.1 to 156.180.255.254 | 156.180.255.255 | 65,534 |
| 182 | 156.181.0.0/16 | 156.181.0.1 to 156.181.255.254 | 156.181.255.255 | 65,534 |
| 183 | 156.182.0.0/16 | 156.182.0.1 to 156.182.255.254 | 156.182.255.255 | 65,534 |
| 184 | 156.183.0.0/16 | 156.183.0.1 to 156.183.255.254 | 156.183.255.255 | 65,534 |
| 185 | 156.184.0.0/16 | 156.184.0.1 to 156.184.255.254 | 156.184.255.255 | 65,534 |
| 186 | 156.185.0.0/16 | 156.185.0.1 to 156.185.255.254 | 156.185.255.255 | 65,534 |
| 187 | 156.186.0.0/16 | 156.186.0.1 to 156.186.255.254 | 156.186.255.255 | 65,534 |
| 188 | 156.187.0.0/16 | 156.187.0.1 to 156.187.255.254 | 156.187.255.255 | 65,534 |
| 189 | 156.188.0.0/16 | 156.188.0.1 to 156.188.255.254 | 156.188.255.255 | 65,534 |
| 190 | 156.189.0.0/16 | 156.189.0.1 to 156.189.255.254 | 156.189.255.255 | 65,534 |
| 191 | 156.190.0.0/16 | 156.190.0.1 to 156.190.255.254 | 156.190.255.255 | 65,534 |
| 192 | 156.191.0.0/16 | 156.191.0.1 to 156.191.255.254 | 156.191.255.255 | 65,534 |
| 193 | 156.192.0.0/16 | 156.192.0.1 to 156.192.255.254 | 156.192.255.255 | 65,534 |
| 194 | 156.193.0.0/16 | 156.193.0.1 to 156.193.255.254 | 156.193.255.255 | 65,534 |
| 195 | 156.194.0.0/16 | 156.194.0.1 to 156.194.255.254 | 156.194.255.255 | 65,534 |
| 196 | 156.195.0.0/16 | 156.195.0.1 to 156.195.255.254 | 156.195.255.255 | 65,534 |
| 197 | 156.196.0.0/16 | 156.196.0.1 to 156.196.255.254 | 156.196.255.255 | 65,534 |
| 198 | 156.197.0.0/16 | 156.197.0.1 to 156.197.255.254 | 156.197.255.255 | 65,534 |
| 199 | 156.198.0.0/16 | 156.198.0.1 to 156.198.255.254 | 156.198.255.255 | 65,534 |
| 200 | 156.199.0.0/16 | 156.199.0.1 to 156.199.255.254 | 156.199.255.255 | 65,534 |
| 201 | 156.200.0.0/16 | 156.200.0.1 to 156.200.255.254 | 156.200.255.255 | 65,534 |
| 202 | 156.201.0.0/16 | 156.201.0.1 to 156.201.255.254 | 156.201.255.255 | 65,534 |
| 203 | 156.202.0.0/16 | 156.202.0.1 to 156.202.255.254 | 156.202.255.255 | 65,534 |
| 204 | 156.203.0.0/16 | 156.203.0.1 to 156.203.255.254 | 156.203.255.255 | 65,534 |
| 205 | 156.204.0.0/16 | 156.204.0.1 to 156.204.255.254 | 156.204.255.255 | 65,534 |
| 206 | 156.205.0.0/16 | 156.205.0.1 to 156.205.255.254 | 156.205.255.255 | 65,534 |
| 207 | 156.206.0.0/16 | 156.206.0.1 to 156.206.255.254 | 156.206.255.255 | 65,534 |
| 208 | 156.207.0.0/16 | 156.207.0.1 to 156.207.255.254 | 156.207.255.255 | 65,534 |
| 209 | 156.208.0.0/16 | 156.208.0.1 to 156.208.255.254 | 156.208.255.255 | 65,534 |
| 210 | 156.209.0.0/16 | 156.209.0.1 to 156.209.255.254 | 156.209.255.255 | 65,534 |
| 211 | 156.210.0.0/16 | 156.210.0.1 to 156.210.255.254 | 156.210.255.255 | 65,534 |
| 212 | 156.211.0.0/16 | 156.211.0.1 to 156.211.255.254 | 156.211.255.255 | 65,534 |
| 213 | 156.212.0.0/16 | 156.212.0.1 to 156.212.255.254 | 156.212.255.255 | 65,534 |
| 214 | 156.213.0.0/16 | 156.213.0.1 to 156.213.255.254 | 156.213.255.255 | 65,534 |
| 215 | 156.214.0.0/16 | 156.214.0.1 to 156.214.255.254 | 156.214.255.255 | 65,534 |
| 216 | 156.215.0.0/16 | 156.215.0.1 to 156.215.255.254 | 156.215.255.255 | 65,534 |
| 217 | 156.216.0.0/16 | 156.216.0.1 to 156.216.255.254 | 156.216.255.255 | 65,534 |
| 218 | 156.217.0.0/16 | 156.217.0.1 to 156.217.255.254 | 156.217.255.255 | 65,534 |
| 219 | 156.218.0.0/16 | 156.218.0.1 to 156.218.255.254 | 156.218.255.255 | 65,534 |
| 220 | 156.219.0.0/16 | 156.219.0.1 to 156.219.255.254 | 156.219.255.255 | 65,534 |
| 221 | 156.220.0.0/16 | 156.220.0.1 to 156.220.255.254 | 156.220.255.255 | 65,534 |
| 222 | 156.221.0.0/16 | 156.221.0.1 to 156.221.255.254 | 156.221.255.255 | 65,534 |
| 223 | 156.222.0.0/16 | 156.222.0.1 to 156.222.255.254 | 156.222.255.255 | 65,534 |
| 224 | 156.223.0.0/16 | 156.223.0.1 to 156.223.255.254 | 156.223.255.255 | 65,534 |
| 225 | 156.224.0.0/16 | 156.224.0.1 to 156.224.255.254 | 156.224.255.255 | 65,534 |
| 226 | 156.225.0.0/16 | 156.225.0.1 to 156.225.255.254 | 156.225.255.255 | 65,534 |
| 227 | 156.226.0.0/16 | 156.226.0.1 to 156.226.255.254 | 156.226.255.255 | 65,534 |
| 228 | 156.227.0.0/16 | 156.227.0.1 to 156.227.255.254 | 156.227.255.255 | 65,534 |
| 229 | 156.228.0.0/16 | 156.228.0.1 to 156.228.255.254 | 156.228.255.255 | 65,534 |
| 230 | 156.229.0.0/16 | 156.229.0.1 to 156.229.255.254 | 156.229.255.255 | 65,534 |
| 231 | 156.230.0.0/16 | 156.230.0.1 to 156.230.255.254 | 156.230.255.255 | 65,534 |
| 232 | 156.231.0.0/16 | 156.231.0.1 to 156.231.255.254 | 156.231.255.255 | 65,534 |
| 233 | 156.232.0.0/16 | 156.232.0.1 to 156.232.255.254 | 156.232.255.255 | 65,534 |
| 234 | 156.233.0.0/16 | 156.233.0.1 to 156.233.255.254 | 156.233.255.255 | 65,534 |
| 235 | 156.234.0.0/16 | 156.234.0.1 to 156.234.255.254 | 156.234.255.255 | 65,534 |
| 236 | 156.235.0.0/16 | 156.235.0.1 to 156.235.255.254 | 156.235.255.255 | 65,534 |
| 237 | 156.236.0.0/16 | 156.236.0.1 to 156.236.255.254 | 156.236.255.255 | 65,534 |
| 238 | 156.237.0.0/16 | 156.237.0.1 to 156.237.255.254 | 156.237.255.255 | 65,534 |
| 239 | 156.238.0.0/16 | 156.238.0.1 to 156.238.255.254 | 156.238.255.255 | 65,534 |
| 240 | 156.239.0.0/16 | 156.239.0.1 to 156.239.255.254 | 156.239.255.255 | 65,534 |
| 241 | 156.240.0.0/16 | 156.240.0.1 to 156.240.255.254 | 156.240.255.255 | 65,534 |
| 242 | 156.241.0.0/16 | 156.241.0.1 to 156.241.255.254 | 156.241.255.255 | 65,534 |
| 243 | 156.242.0.0/16 | 156.242.0.1 to 156.242.255.254 | 156.242.255.255 | 65,534 |
| 244 | 156.243.0.0/16 | 156.243.0.1 to 156.243.255.254 | 156.243.255.255 | 65,534 |
| 245 | 156.244.0.0/16 | 156.244.0.1 to 156.244.255.254 | 156.244.255.255 | 65,534 |
| 246 | 156.245.0.0/16 | 156.245.0.1 to 156.245.255.254 | 156.245.255.255 | 65,534 |
| 247 | 156.246.0.0/16 | 156.246.0.1 to 156.246.255.254 | 156.246.255.255 | 65,534 |
| 248 | 156.247.0.0/16 | 156.247.0.1 to 156.247.255.254 | 156.247.255.255 | 65,534 |
| 249 | 156.248.0.0/16 | 156.248.0.1 to 156.248.255.254 | 156.248.255.255 | 65,534 |
| 250 | 156.249.0.0/16 | 156.249.0.1 to 156.249.255.254 | 156.249.255.255 | 65,534 |
| 251 | 156.250.0.0/16 | 156.250.0.1 to 156.250.255.254 | 156.250.255.255 | 65,534 |
| 252 | 156.251.0.0/16 | 156.251.0.1 to 156.251.255.254 | 156.251.255.255 | 65,534 |
| 253 | 156.252.0.0/16 | 156.252.0.1 to 156.252.255.254 | 156.252.255.255 | 65,534 |
| 254 | 156.253.0.0/16 | 156.253.0.1 to 156.253.255.254 | 156.253.255.255 | 65,534 |
| 255 | 156.254.0.0/16 | 156.254.0.1 to 156.254.255.254 | 156.254.255.255 | 65,534 |
| 256 | 156.255.0.0/16 | 156.255.0.1 to 156.255.255.254 | 156.255.255.255 | 65,534 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |